import fs   from 'fs';
import toml from 'toml';

type ConfigType = {
	root_url:          string,
	enable_repointing: boolean,
};

function load_config(): ConfigType {
	const config: ConfigType = {
		// Default values
		root_url:          "",
		enable_repointing: false,
	};

	const config_from_file = toml.parse(fs.readFileSync(`${process.cwd()}/config.toml`));
	for (const key in config) {
		if (key in config_from_file) {
			config[key] = config_from_file[key];
		}
	}
	return config;
}

export default load_config();
